if exists (select * from sysobjects where id = object_id(N'[dbo].[viewdongguestbook]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[viewdongguestbook]
GO
if exists (select * from sysobjects where id = object_id(N'[dbo].[procdongguestbook_insert]') and OBJECTPROPERTY(id, N'Isprocedure') = 1)
drop procedure [dbo].[procdongguestbook_insert]
GO
if exists (select * from sysobjects where id = object_id(N'[dbo].[procdongguestbook_getcnt]') and OBJECTPROPERTY(id, N'Isprocedure') = 1)
drop procedure [dbo].[procdongguestbook_getcnt]
GO

SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO


create table [dbo].[tbl_dongguestbook] (
	[pk_id] [int] identity (1,1) not null primary key,
	[writer] [varchar] (10) null,
	[email] [varchar] (30) null,
	[homepage] [varchar] (50) null,
	[ip] [varchar] (15) null,
	[writedate] [smalldatetime] null default(getdate()),
	[subject] [text] null,
	[content] [text] null,
	[passwd] [varchar] (8)
)
go



SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO

create view dbo.viewdongguestbook
as
select dbo.tbl_dongguestbook.*
from dbo.tbl_dongguestbook
go

SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO

CREATE PROCEDURE procdongguestbook_getcnt
@totalcount int output
AS
select @totalcount=count(pk_id) from tbl_dongguestbook
GO

SET QUOTED_IDENTIFIER  OFF    SET ANSI_NULLS  ON 
GO

create procedure procdongguestbook_insert
@writer varchar(10),
@email varchar(30),
@homepage varchar(50),
@ip varchar(15),
@subject text=null,
@content text=null,
@passwd varchar(8)
as
insert tbl_dongguestbook(writer,email,homepage,ip,subject,content,passwd)
values(@writer,@email,@homepage,@ip,@subject,@content,@passwd)
go

